Inventory Count Lines

The inventory count lines resource.

Basehttps://rest.carbon.ms/inventoryCountLines
GET/inventoryCountLines

List inventory count lines

Retrieve a paginated list of inventory count lines. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/inventoryCountLines
curl --request GET \
  --url 'https://rest.carbon.ms/inventoryCountLines?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "companyId": "xyz789",
    "inventoryCountId": "xyz789",
    "itemId": "xyz789",
    "locationId": "xyz789",
    "storageUnitId": "xyz789",
    "trackedEntityId": "xyz789",
    "readableId": "xyz789"
  }
]
GET/inventoryCountLines

Retrieve a inventory count lines

Fetch a single inventory count lines by filtering on `id`.

Query parameters

idstring

Match on the inventory count lines's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/inventoryCountLines
curl --request GET \
  --url 'https://rest.carbon.ms/inventoryCountLines?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "inventoryCountId": "xyz789",
  "itemId": "xyz789",
  "locationId": "xyz789",
  "storageUnitId": "xyz789",
  "trackedEntityId": "xyz789",
  "readableId": "xyz789"
}